> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Prop Trading Parse Payout Import

> Claims a parse lease, reads the file from S3, parses and trader-matches rows, replacing prior rows atomically.

Not available to API keys yet. It will need `payments:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/prop-trading-parse-payout-import
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/prop-trading-parse-payout-import:
    post:
      operationId: propTradingParsePayoutImport
      summary: Prop Trading Parse Payout Import
      description: >-
        Claims a parse lease, reads the file from S3, parses and trader-matches
        rows, replacing prior rows atomically.


        Not available to API keys yet. It will need `payments:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PropTradingParsePayoutImportRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PropTradingParsePayoutImportResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    PropTradingParsePayoutImportRequest:
      type: object
      properties:
        payoutImportID:
          type: string
          format: uuid
      required:
        - payoutImportID
    PropTradingParsePayoutImportResponse:
      type: object
      properties:
        payoutImportID:
          type: string
        status:
          type: string
          enum:
            - DRAFT
            - PARSING
            - PARSED
            - COMMITTING
            - COMMITTED
            - FAILED
            - CANCELLED
        totalRows:
          type: integer
        validRows:
          type: integer
        errorRows:
          type: integer
        warnings:
          type: array
          items:
            type: string
        duplicateOfImportID:
          type:
            - string
            - 'null'
      required:
        - payoutImportID
        - status
        - totalRows
        - validRows
        - errorRows
        - warnings
        - duplicateOfImportID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
